Update uptime settings
Base URL
https://{kibana_url}
PUT
/api/uptime/settings
PUT
/s/{space_id} /api/uptime/settings
Auth
Update uptime setting attributes like heartbeatIndices, certExpirationThreshold, certAgeThreshold, defaultConnectors, or defaultEmail. You must have all privileges for the uptime feature in the Observability section of the Kibana feature privileges. A partial update is supported, provided settings keys will be merged with existing settings.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
{
}
certAgeThreshold
number · default: 730
The number of days after a certificate is created to trigger an alert.
certExpirationThreshold
number · default: 30
The number of days before a certificate expires to trigger an alert.
defaultConnectors
string [] · default: []
A list of connector IDs to be used as default connectors for new alerts.
defaultEmail
object
The default email configuration for new alerts.
+
Show 3 properties
bcc
string [] · default: []
cc
string [] · default: []
to
string [] · default: []
heartbeatIndices
string · default: heartbeat-*
An index pattern string to be used within the Uptime app and alerts to query Heartbeat data.
200
Indicates a successful call
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Update multiple settings
2 languages
Update a setting
2 languages
Request
Console
1 / 2 languages
‹
›
Run PUT api/uptime/settings to update multiple Uptime settings.
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
PUT kbn:/api/uptime/settings
{
"heartbeatIndices": "heartbeat-8*",
"certExpirationThreshold": 30,
"certAgeThreshold": 730,
"defaultConnectors": [
"08990f40-09c5-11ee-97ae-912b222b13d4",
"db25f830-2318-11ee-9391-6b0c030836d6"
],
"defaultEmail": {
"to": [],
"cc": [],
"bcc": []
}
}
Generated from the API spec
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
curl -X PUT "${KIBANA_URL}/api/uptime/settings" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{
"heartbeatIndices": "heartbeat-8*",
"certExpirationThreshold": 30,
"certAgeThreshold": 730,
"defaultConnectors": [
"08990f40-09c5-11ee-97ae-912b222b13d4",
"db25f830-2318-11ee-9391-6b0c030836d6"
],
"defaultEmail": {
"to": [],
"cc": [],
"bcc": []
}
}'
Generated from the API spec
Response
A successful response from PUT api/uptime/settings.
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
{
"heartbeatIndices": "heartbeat-8*",
"certExpirationThreshold": 30,
"certAgeThreshold": 730,
"defaultConnectors": [
"08990f40-09c5-11ee-97ae-912b222b13d4",
"db25f830-2318-11ee-9391-6b0c030836d6"
],
"defaultEmail": {
"to": [],
"cc": [],
"bcc": []
}
}
Request
Console
1 / 2 languages
‹
›
Run PUT api/uptime/settings to update a single Uptime setting.
Show more
1
2
3
4
PUT kbn:api/uptime/settings
{
"heartbeatIndices": "heartbeat-8*",
}
Generated from the API spec
1
2
3
4
5
6
curl -X PUT "${KIBANA_URL}/api/uptime/settings" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{
"heartbeatIndices": "heartbeat-8*",
}'
Generated from the API spec
Response
A successful response from PUT api/uptime/settings.
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
{
"heartbeatIndices": "heartbeat-8*",
"certExpirationThreshold": 30,
"certAgeThreshold": 730,
"defaultConnectors": [
"08990f40-09c5-11ee-97ae-912b222b13d4",
"db25f830-2318-11ee-9391-6b0c030836d6"
],
"defaultEmail": {
"to": [],
"cc": [],
"bcc": []
}
}